Untitled

mail@pastecode.io avatar
unknown
plain_text
a year ago
10 kB
4
Indexable
Never
visualizer-visualizer-1           | :: Starting application
visualizer-visualizer-1           | Traceback (most recent call last):
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 3361, in _wrap_pool_connect
visualizer-visualizer-1           |     return fn()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 320, in connect
visualizer-visualizer-1           |     return _ConnectionFairy._checkout(self)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 884, in _checkout
visualizer-visualizer-1           |     fairy = _ConnectionRecord.checkout(pool)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 486, in checkout
visualizer-visualizer-1           |     rec = pool._do_get()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/impl.py", line 145, in _do_get
visualizer-visualizer-1           |     with util.safe_reraise():
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/langhelpers.py", line 70, in __exit__
visualizer-visualizer-1           |     compat.raise_(
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/compat.py", line 208, in raise_
visualizer-visualizer-1           |     raise exception
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/impl.py", line 143, in _do_get
visualizer-visualizer-1           |     return self._create_connection()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 266, in _create_connection
visualizer-visualizer-1           |     return _ConnectionRecord(self)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 381, in __init__
visualizer-visualizer-1           |     self.__connect()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 677, in __connect
visualizer-visualizer-1           |     with util.safe_reraise():
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/langhelpers.py", line 70, in __exit__
visualizer-visualizer-1           |     compat.raise_(
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/compat.py", line 208, in raise_
visualizer-visualizer-1           |     raise exception
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 673, in __connect
visualizer-visualizer-1           |     self.dbapi_connection = connection = pool._invoke_creator(self)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/create.py", line 578, in connect
visualizer-visualizer-1           |     return dialect.connect(*cargs, **cparams)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/default.py", line 598, in connect
visualizer-visualizer-1           |     return self.dbapi.connect(*cargs, **cparams)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/psycopg2/__init__.py", line 122, in connect
visualizer-visualizer-1           |     conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
visualizer-visualizer-1           | psycopg2.OperationalError: SCRAM authentication requires libpq version 10 or above
visualizer-visualizer-1           | 
visualizer-visualizer-1           | 
visualizer-visualizer-1           | The above exception was the direct cause of the following exception:
visualizer-visualizer-1           | 
visualizer-visualizer-1           | Traceback (most recent call last):
visualizer-visualizer-1           |   File "/app/visualizer_app/main.py", line 39, in <module>
visualizer-visualizer-1           |     import crud
visualizer-visualizer-1           |   File "/app/visualizer_app/crud.py", line 22, in <module>
visualizer-visualizer-1           |     import models
visualizer-visualizer-1           |   File "/app/visualizer_app/models.py", line 25, in <module>
visualizer-visualizer-1           |     from database import Base
visualizer-visualizer-1           |   File "/app/visualizer_app/database.py", line 45, in <module>
visualizer-visualizer-1           |     Base.metadata.create_all(engine)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/sql/schema.py", line 4917, in create_all
visualizer-visualizer-1           |     bind._run_ddl_visitor(
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 3227, in _run_ddl_visitor
visualizer-visualizer-1           |     with self.begin() as conn:
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 3143, in begin
visualizer-visualizer-1           |     conn = self.connect(close_with_result=close_with_result)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 3315, in connect
visualizer-visualizer-1           |     return self._connection_cls(self, close_with_result=close_with_result)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 96, in __init__
visualizer-visualizer-1           |     else engine.raw_connection()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 3394, in raw_connection
visualizer-visualizer-1           |     return self._wrap_pool_connect(self.pool.connect, _connection)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 3364, in _wrap_pool_connect
visualizer-visualizer-1           |     Connection._handle_dbapi_exception_noconnection(
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 2198, in _handle_dbapi_exception_noconnection
visualizer-visualizer-1           |     util.raise_(
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/compat.py", line 208, in raise_
visualizer-visualizer-1           |     raise exception
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/base.py", line 3361, in _wrap_pool_connect
visualizer-visualizer-1           |     return fn()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 320, in connect
visualizer-visualizer-1           |     return _ConnectionFairy._checkout(self)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 884, in _checkout
visualizer-visualizer-1           |     fairy = _ConnectionRecord.checkout(pool)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 486, in checkout
visualizer-visualizer-1           |     rec = pool._do_get()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/impl.py", line 145, in _do_get
visualizer-visualizer-1           |     with util.safe_reraise():
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/langhelpers.py", line 70, in __exit__
visualizer-visualizer-1           |     compat.raise_(
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/compat.py", line 208, in raise_
visualizer-visualizer-1           |     raise exception
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/impl.py", line 143, in _do_get
visualizer-visualizer-1           |     return self._create_connection()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 266, in _create_connection
visualizer-visualizer-1           |     return _ConnectionRecord(self)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 381, in __init__
visualizer-visualizer-1           |     self.__connect()
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 677, in __connect
visualizer-visualizer-1           |     with util.safe_reraise():
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/langhelpers.py", line 70, in __exit__
visualizer-visualizer-1           |     compat.raise_(
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/util/compat.py", line 208, in raise_
visualizer-visualizer-1           |     raise exception
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/pool/base.py", line 673, in __connect
visualizer-visualizer-1           |     self.dbapi_connection = connection = pool._invoke_creator(self)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/create.py", line 578, in connect
visualizer-visualizer-1           |     return dialect.connect(*cargs, **cparams)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/sqlalchemy/engine/default.py", line 598, in connect
visualizer-visualizer-1           |     return self.dbapi.connect(*cargs, **cparams)
visualizer-visualizer-1           |   File "/usr/local/lib/python3.10/site-packages/psycopg2/__init__.py", line 122, in connect
visualizer-visualizer-1           |     conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
visualizer-visualizer-1           | sqlalchemy.exc.OperationalError: (psycopg2.OperationalError) SCRAM authentication requires libpq version 10 or above
visualizer-visualizer-1           | 
visualizer-visualizer-1           | (Background on this error at: https://sqlalche.me/e/14/e3q8)
visualizer-visualizer-1 exited with code 1